import Vue from 'vue'
import Vuex from 'vuex'
import user from './model/user'
Vue.use(Vuex)

const store = new Vuex.Store({
	state: {
		baseURL:"https://yrh.liuniu946.com",//'http://eb.shuibo.net',//请求地址配置 
		// baseURL:"http://cys.liuniu946.com",//'http://eb.shuibo.net',//请求地址配置
		loginInterceptor:true,//是否打开强制登录
		urlFile:'/index',//项目部署所在文件夹
		// #ifdef H5 || MP-WEIXIN
		weichatInfo:{},//保存微信注册信息
		weichatObj:'',//微信对象
		// #endif
		// #ifdef APP-PLUS
		isShowIllegality:false,//不显示ios审核不允许的功能
		// #endif
		// #ifndef APP-PLUS
		isShowIllegality:true,//允许显示隐藏信息
		// #endif
	},
	mutations: {
		//保存微信信息
		setWeiChatInfo(state, provider) {
			state.weichatInfo = provider;
		},
		//保存微信对象
		setWeiChatObj(state, provider) {
			state.weichatObj = provider;
		},
		// 修改显示隐藏ios审核不允许显示的功能
		changeState(state, provider){
			state.isShowIllegality = provider;
		}
	},
	modules:{
		user
	},
	actions: {}
})

export default store
